# Crow: crow::websocket::connection Struct Reference

crow::websocket::connection Struct Referenceabstract

A base class for websocket connection. More...

`#include <websocket.h>`

Inheritance diagram for crow::websocket::connection:

## Public Member Functions

virtual void | send_binary (const std::string &msg)=0
virtual void | send_text (const std::string &msg)=0
virtual void | send_ping (const std::string &msg)=0
virtual void | send_pong (const std::string &msg)=0
virtual void | close (const std::string &msg="quit")=0
void | userdata (void *u)
void * | userdata ()

## Detailed Description

A base class for websocket connection.

## Member Function Documentation

## close()

virtual void crow::websocket::connection::close | ( | const std::string & | msg = `"quit"` | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor >.

## send_binary()

virtual void crow::websocket::connection::send_binary | ( | const std::string & | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor >.

## send_ping()

virtual void crow::websocket::connection::send_ping | ( | const std::string & | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor >.

## send_pong()

virtual void crow::websocket::connection::send_pong | ( | const std::string & | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor >.

## send_text()

virtual void crow::websocket::connection::send_text | ( | const std::string & | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor >.

The documentation for this struct was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/websocket.h